#ifndef PTABDIALOG_H
#define PTABDIALOG_H

class PTabDialog;

#include <tqtabdialog.h>
#include "pmessage.h"
#include "pwidget.h"

class PTabDialog : public PWidget
{
  TQ_OBJECT
  
public:
  static PObject *createWidget(CreateArgs &ca);

  PTabDialog(TQObject *parent = 0);
  virtual ~PTabDialog();

  /**
   * Handles messages from dsirc
   * PObject can't get messages so return an error
   */
  virtual void messageHandler(int fd, PukeMessage *pm);

  /**
   * Sets the current opbect
   */
  virtual void setWidget(TQObject *tb);
  
  /**
   * Returns the current object
   */
  virtual TQTabDialog *widget();

private:

  TQTabDialog *tab;

};

#endif
